package errors

import "gd_admin/common.in/jsonrpc2"

var (
	SystemError  = jsonrpc2.NewJsonError(10001, "系统错误")
	ServiceError = jsonrpc2.NewJsonError(10003, "内部服务错误")
	// 业务错误
	ArgsError        = jsonrpc2.NewJsonError(20001, "参数错误")
	DataBaseError    = jsonrpc2.NewJsonError(20002, "数据库操作失败")
	VendorError      = jsonrpc2.NewJsonError(20003, "第三方发生错误")
	DataBaseNoRecord = jsonrpc2.NewJsonError(20004, "没有找到相关记录")
	VinFormatError   = jsonrpc2.NewJsonError(20005, "vin码错误")
	PlateFormatError = jsonrpc2.NewJsonError(20006, "车牌号码错误")
	AppKeyError      = jsonrpc2.NewJsonError(20007, "AppKey错误")
	AdminNotExist    = jsonrpc2.NewJsonError(20401, "该管理用户不存在")
	AdminsNotExist   = jsonrpc2.NewJsonError(20402, "还没创建管理员账号")
	AdminExist       = jsonrpc2.NewJsonError(20403, "管理员账号已存在")
	PasswordError    = jsonrpc2.NewJsonError(20404, "密码不正确，请重新输入")
	OrderExistError  = jsonrpc2.NewJsonError(20405, "不能重复创建订单")
	DelGroupErr      = jsonrpc2.NewJsonError(20406, "该分组已有用户使用，不允许删除")
	AccessNotAllow   = jsonrpc2.NewJsonError(20407, "无权限登录")

	OrderNotExist        = jsonrpc2.NewJsonError(20304, "订单不存在")
	OrderCreateFailed    = jsonrpc2.NewJsonError(20305, "订单创建失败")
	OrderAreadyCancel    = jsonrpc2.NewJsonError(20306, "订单已经被取消")
	OrderParseTimeFailed = jsonrpc2.NewJsonError(20307, "时间格式解析错误，正确时间格式为 2006-01-02 15:04:05")
	OrderWrongTime       = jsonrpc2.NewJsonError(20308, "不能预约该时段,预约时间为未来7天 9:00至18:00，节假日和周日不办理")
	ServiceNotSupport    = jsonrpc2.NewJsonError(20309, "不支持的服务类型")

	// 违章
	ViolationApiMaintain               = jsonrpc2.NewJsonError(20310, "违章服务接口维护中")
	ViolationServiceMaintain           = jsonrpc2.NewJsonError(20311, "违章服务系统维护中")
	ViolationBeyondRequestLimit        = jsonrpc2.NewJsonError(20312, "违章超出请求次数次数限制")
	ViolationBeyondRequestByDayLimit   = jsonrpc2.NewJsonError(20313, "违章超出本日请求次数次数限制")
	ViolationBeyondRequestByWeekLimit  = jsonrpc2.NewJsonError(20314, "违章超出本周请求次数次数限制")
	ViolationBeyondRequestByMonthLimit = jsonrpc2.NewJsonError(20315, "违章超出本月请求次数次数限制")
	ViolationBeyondRequestByYearLimit  = jsonrpc2.NewJsonError(20316, "违章超出本年请求次数次数限制")
	ViolationInfoNotFound              = jsonrpc2.NewJsonError(20317, "信息未找到")
	VehiclePlateNumberError            = jsonrpc2.NewJsonError(20318, "车牌号有误")
	VehicleEnginNoError                = jsonrpc2.NewJsonError(20319, "发动机号有误")
	VehicleVinError                    = jsonrpc2.NewJsonError(20320, "车架号有误")
	VehicleTypeNotSupport              = jsonrpc2.NewJsonError(20321, "不支持的车辆类型")
	VehicleInfoNotExist                = jsonrpc2.NewJsonError(20322, "车辆信息不存在")
	ViolationCityMaintain              = jsonrpc2.NewJsonError(20323, "查询的城市正在维护中")
	ViolationVechicleInfoError         = jsonrpc2.NewJsonError(20324, "车辆信息错误")
	ViolationQueryNotSupport           = jsonrpc2.NewJsonError(20325, "查询的省市未开通")
	ViolationQueryNotSupportOtherPlace = jsonrpc2.NewJsonError(20326, "该省份不支持异地车辆违法查询")
	ViolationPlateOrVehicleTypeError   = jsonrpc2.NewJsonError(20327, "车牌号或车辆类型不正确")
	ViolationPlateOrEnginNoError       = jsonrpc2.NewJsonError(20328, "车牌号或发动机号不正确")
	VinOrEnginNoError                  = jsonrpc2.NewJsonError(20328, "车架号或发动机号不正确!")

	// 估值
	RegisterDateError            = jsonrpc2.NewJsonError(20329, "上牌日期格式不正确")
	VehicleModelInfoLost         = jsonrpc2.NewJsonError(20330, "车型信息丢失")
	RegisterYearNotReasonable    = jsonrpc2.NewJsonError(20331, "上牌年份不合理")
	TravlleDistanceNotReasonable = jsonrpc2.NewJsonError(20332, "行驶里程不合法")
	LocationNotMatch             = jsonrpc2.NewJsonError(20333, "地区无法匹配")

	MileError                        = jsonrpc2.NewJsonError(20334, "行驶里程参数格式错误")
	ServiceCallBackOrderFailed       = jsonrpc2.NewJsonError(20335, "内部回调失败")
	OrderSignVerifyFailed            = jsonrpc2.NewJsonError(20336, "签名验证失败 ")
	MobileFormatError                = jsonrpc2.NewJsonError(20337, "手机号格式错误")
	ThirdPartyOrderExistPlateNo      = jsonrpc2.NewJsonError(20338, "该车牌号正在服务中")
	TimeCalcFailed                   = jsonrpc2.NewJsonError(20339, "时间计算错误")
	LonLatExceedLimit                = jsonrpc2.NewJsonError(20340, "经纬度超限")
	NoWashingVehicleIndex            = jsonrpc2.NewJsonError(20341, "无洗车指数")
	AnnualInspectionUnsupportVehicle = jsonrpc2.NewJsonError(20342, "该车辆种类不支持年检时间查询")
	NotSupportArea                   = jsonrpc2.NewJsonError(20343, "该地区洗车指数不支持")
	CompanyNotFound                  = jsonrpc2.NewJsonError(20344, "单位不存在")
	LimitNotSatisfy                  = jsonrpc2.NewJsonError(20345, "不满足限制条件")
	VehicleInfoError                 = jsonrpc2.NewJsonError(20346, "车辆信息不匹配")
)
