package dbmodel

import (
	"encoding/json"
	"github.com/astaxie/beego/orm"
)

type TGdAdminRbacAccess struct {
	Id      int `json:"id"`
	Uid     int `json:"uid"`
	GroupId int `json:"group_id"`
}

func (p *TGdAdminRbacAccess) TableName() string {
	return "t_gd_admin_rbac_access"
}

func (p TGdAdminRbacAccess) String() string {
	vals, _ := json.Marshal(p)
	return string(vals)
}

func (p *TGdAdminRbacAccess) Create(db orm.Ormer) (int64, error) {
	return db.Insert(p)
}

func (p *TGdAdminRbacAccess) Fetch(db orm.Ormer, mapFilter map[string]interface{}) error {
	qs := db.QueryTable(p.TableName())
	for k, v := range mapFilter {
		qs = qs.Filter(k, v)
	}
	return qs.One(p)
}

func (p *TGdAdminRbacAccess) Save(db orm.Ormer, mapFilter, values map[string]interface{}) (int64, error) {
	params := orm.Params{}

	//不判断参数为空的情况
	for k, v := range values {
		//if v != nil {
		params[k] = v
		//}
	}

	qs := db.QueryTable(p.TableName())

	for k, v := range mapFilter {
		qs = qs.Filter(k, v)
	}

	return qs.Update(params)
}

func (p *TGdAdminRbacAccess) Del(db orm.Ormer, filter map[string]interface{}) (int64, error) {
	qs := db.QueryTable(p.TableName())

	for k, v := range filter {
		qs = qs.Filter(k, v)
	}

	return qs.Delete()

}
